"Vim script for converting Unicode to Betacode
"Maintainer: Mihail Radu Solcan
"Version: 0.1
"Last updated: 2007-08-24
"Copyright: GPL
"No waranty. Use at your own risk



" Betacode din 4 semne
:%s/ᾂ/a)\\|/ge 
:%s/ᾃ/a(\\|/ge 
:%s/ᾄ/a)\/|/ge 
:%s/ᾅ/a(\/|/ge 
:%s/ᾆ/a)=|/ge 
:%s/ᾇ/a(=|/ge 
:%s/ᾊ/A)\\|/ge 
:%s/ᾋ/A(\\|/ge 
:%s/ᾌ/A)\/|/ge 
:%s/ᾍ/A(\/|/ge 
:%s/ᾎ/A)=|/ge 
:%s/ᾏ/A(=|/ge 
:%s/ᾒ/h)\\|/ge 
:%s/ᾓ/h(\\|/ge 
:%s/ᾔ/h)\/|/ge 
:%s/ᾕ/h(\/|/ge 
:%s/ᾖ/h)=|/ge 
:%s/ᾗ/h(=|/ge 
:%s/ᾚ/H)\\|/ge 
:%s/ᾛ/H(\\|/ge 
:%s/ᾜ/H)\/|/ge 
:%s/ᾝ/H(\/|/ge 
:%s/ᾞ/H)=|/ge 
:%s/ᾟ/H(=|/ge 
:%s/ᾢ/w)\\|/ge 
:%s/ᾣ/w(\\|/ge 
:%s/ᾤ/w)\/|/ge 
:%s/ᾥ/w(\/|/ge 
:%s/ᾦ/w)=|/ge 
:%s/ᾧ/w(=|/ge 
:%s/ᾪ/W)\\|/ge 
:%s/ᾫ/W(\\|/ge 
:%s/ᾬ/W)\/|/ge 
:%s/ᾭ/W(\/|/ge 
:%s/ᾮ/W)=|/ge 
:%s/ᾯ/W(=|/ge 
:%s/ᾰ/a%27/ge 
:%s/ᾱ/a%26/ge 
:%s/Ᾰ/A%27/ge 
:%s/Ᾱ/A%26/ge 
:%s/ῐ/i%27/ge 
:%s/ῑ/i%26/ge 
:%s/Ῐ/I%27/ge 
:%s/Ῑ/I%26/ge 
:%s/ῠ/u%27/ge 
:%s/ῡ/u%26/ge 
:%s/Ῠ/U%27/ge 
:%s/Ῡ/U%26/ge 

"Betacode din 3 semne

:%s/ἂ/a)\\/ge 
:%s/ἃ/a(\\/ge 
:%s/ἄ/a)\//ge 
:%s/ἅ/a(\//ge 
:%s/ἆ/a)=/ge 
:%s/ἇ/a(=/ge 
:%s/Ἂ/A)\\/ge 
:%s/Ἃ/A(\\/ge 
:%s/Ἄ/A)\//ge 
:%s/Ἅ/A(\//ge 
:%s/Ἆ/A)=/ge 
:%s/Ἇ/A(=/ge 
:%s/ἒ/e)\\/ge 
:%s/ἓ/e(\\/ge 
:%s/ἔ/e)\//ge 
:%s/ἕ/e(\//ge 
:%s/Ἒ/E)\\/ge 
:%s/Ἓ/E(\\/ge 
:%s/Ἔ/E)\//ge 
:%s/Ἕ/E(\//ge 
:%s/ἢ/h)\\/ge 
:%s/ἣ/h(\\/ge 
:%s/ἤ/h)\//ge 
:%s/ἥ/h(\//ge 
:%s/ἦ/h)=/ge 
:%s/ἧ/h(=/ge 
:%s/Ἢ/H)\\/ge 
:%s/Ἣ/H(\\/ge 
:%s/Ἤ/H)\//ge 
:%s/Ἥ/H(\//ge 
:%s/Ἦ/H)=/ge 
:%s/Ἧ/H(=/ge 
:%s/ἲ/i)\\/ge 
:%s/ἳ/i(\\/ge 
:%s/ἴ/i)\//ge 
:%s/ἵ/i(\//ge 
:%s/ἶ/i)=/ge 
:%s/ἷ/i(=/ge 
:%s/Ἲ/I)\\/ge 
:%s/Ἳ/I(\\/ge 
:%s/Ἴ/I)\//ge 
:%s/Ἵ/I(\//ge 
:%s/Ἷ/I(=/ge 
:%s/ὂ/o)\\/ge 
:%s/ὃ/o(\\/ge 
:%s/ὄ/o)\//ge 
:%s/ὅ/o(\//ge 
:%s/Ὂ/O)\\/ge 
:%s/Ὄ/O)\//ge 
:%s/Ὅ/O(\//ge 
:%s/ὒ/u)\\/ge 
:%s/ὓ/u(\\/ge 
:%s/ὔ/u)\//ge 
:%s/ὕ/u(\//ge 
:%s/ὖ/u)=/ge 
:%s/ὗ/u(=/ge 
:%s/Ὓ/U(\\/ge 
:%s/Ὕ/U(\//ge 
:%s/Ὗ/U(=/ge 
:%s/ὢ/w)\\/ge 
:%s/ὣ/w(\\/ge 
:%s/ὤ/w)\//ge 
:%s/ὥ/w(\//ge 
:%s/ὦ/w)=/ge 
:%s/ὧ/w(=/ge 
:%s/Ὢ/W)\\/ge 
:%s/Ὣ/W(\\/ge 
:%s/Ὤ/W)\//ge 
:%s/Ὥ/W(\//ge 
:%s/Ὦ/W)=/ge 
:%s/Ὧ/W(=/ge 
:%s/ᾀ/a)|/ge 
:%s/ᾁ/a(|/ge 
:%s/ᾈ/A)|/ge 
:%s/ᾉ/A(|/ge 
:%s/ᾐ/h)|/ge 
:%s/ᾑ/h(|/ge 
:%s/ᾘ/H)|/ge 
:%s/ᾙ/H(|/ge 
:%s/ᾠ/w)|/ge 
:%s/ᾡ/w(|/ge 
:%s/ᾨ/W)|/ge 
:%s/ᾩ/W(|/ge 
:%s/ᾲ/a\\|/ge 
:%s/ᾴ/a\/|/ge 
:%s/ᾷ/a=|/ge 
:%s/ῂ/h\\|/ge 
:%s/ῄ/h\/|/ge 
:%s/ῇ/h=|/ge 
:%s/ῒ/i\\+/ge 
:%s/ΐ/i\/+/ge 
:%s/ῗ/i=+/ge 
:%s/ῢ/u\\+/ge 
:%s/ΰ/u\/+/ge 
:%s/ῧ/u=+/ge 
:%s/ῲ/w\\|/ge 
:%s/ῴ/w\/|/ge 
:%s/ῷ/w=|/ge 

"Betacode din 2 semne

:%s/Ϲ/S3/ge 
:%s/ς/s2/ge 
:%s/ϲ/s3/ge 
:%s/ϊ/i+/ge 
:%s/ϋ/u+/ge 
:%s/ἀ/a)/ge 
:%s/ἁ/a(/ge 
:%s/Ἀ/A)/ge 
:%s/Ἁ/A(/ge 
:%s/ἐ/e)/ge 
:%s/ἑ/e(/ge 
:%s/Ἐ/E)/ge 
:%s/Ἑ/E(/ge 
:%s/ἠ/h)/ge 
:%s/ἡ/h(/ge 
:%s/Ἠ/H)/ge 
:%s/Ἡ/H(/ge 
:%s/ἰ/i)/ge 
:%s/ἱ/i(/ge 
:%s/Ἰ/I)/ge 
:%s/Ἱ/I(/ge 
:%s/ὀ/o)/ge 
:%s/ὁ/o(/ge 
:%s/Ὀ/O)/ge 
:%s/Ὁ/O(/ge 
:%s/ὐ/u)/ge 
:%s/ὑ/u(/ge 
:%s/Ὑ/U(/ge 
:%s/ὠ/w)/ge 
:%s/ὡ/w(/ge 
:%s/Ὠ/W)/ge 
:%s/Ὡ/W(/ge 
:%s/ὰ/a\\/ge 
:%s/ά/a\//ge 
:%s/ὲ/e\\/ge 
:%s/έ/e\//ge 
:%s/ὴ/h\\/ge 
:%s/ή/h\//ge 
:%s/ὶ/i\\/ge 
:%s/ί/i\//ge 
:%s/ὸ/o\\/ge 
:%s/ό/o\//ge 
:%s/ὺ/u\\/ge 
:%s/ύ/u\//ge 
:%s/ὼ/w\\/ge 
:%s/ώ/w\//ge 
:%s/ᾳ/a|/ge 
:%s/ᾶ/a=/ge 
:%s/Ὰ/A\\/ge 
:%s/Ά/A\//ge 
:%s/ᾼ/A|/ge 
:%s/ῃ/h|/ge 
:%s/ῆ/h=/ge 
:%s/Ὲ/E\\/ge 
:%s/Έ/E\//ge 
:%s/Ὴ/H\\/ge 
:%s/Ή/H\//ge 
:%s/ῌ/H|/ge 
:%s/ῖ/i=/ge 
:%s/Ὶ/I\\/ge 
:%s/Ί/I\//ge 
:%s/ῤ/r)/ge 
:%s/ῥ/r(/ge 
:%s/ῦ/u=/ge 
:%s/Ὺ/U\\/ge 
:%s/Ύ/U\//ge 
:%s/Ῥ/R(/ge 
:%s/ῳ/w|/ge 
:%s/ῶ/w=/ge 
:%s/Ὸ/O\\/ge 
:%s/Ό/O\//ge 
:%s/Ὼ/W\\/ge 
:%s/Ώ/W\//ge 
:%s/ῼ/W|/ge 

" Litere mari

:%s/Α/A/ge 
:%s/Β/B/ge 
:%s/Γ/G/ge 
:%s/Δ/D/ge 
:%s/Ε/E/ge 
:%s/Ζ/Z/ge 
:%s/Η/H/ge 
:%s/Θ/Q/ge 
:%s/Ι/I/ge 
:%s/Κ/K/ge 
:%s/Λ/L/ge 
:%s/Μ/M/ge 
:%s/Ν/N/ge 
:%s/Ξ/C/ge 
:%s/Ο/O/ge 
:%s/Π/P/ge 
:%s/Ρ/R/ge 
:%s/Σ/S/ge 
:%s/Τ/T/ge 
:%s/Υ/U/ge 
:%s/Φ/F/ge 
:%s/Χ/X/ge 
:%s/Ψ/Y/ge 
:%s/Ω/W/ge 

" Litere mici

:%s/α/a/ge 
:%s/β/b/ge 
:%s/γ/g/ge 
:%s/δ/d/ge 
:%s/ε/e/ge 
:%s/ζ/z/ge 
:%s/η/h/ge 
:%s/θ/q/ge 
:%s/ι/i/ge 
:%s/κ/k/ge 
:%s/λ/l/ge 
:%s/μ/m/ge 
:%s/ν/n/ge 
:%s/ξ/c/ge 
:%s/ο/o/ge 
:%s/π/p/ge 
:%s/ρ/r/ge 
:%s/ς/j/ge 
:%s/σ/s/ge 
:%s/τ/t/ge 
:%s/υ/u/ge 
:%s/φ/f/ge 
:%s/χ/x/ge 
:%s/ψ/y/ge 
:%s/ω/w/ge 

"Mai uşor întreţinem fişierul dacă adăugăm ulterior staruri în faţa
"majusculelor

:%s/\([A-Z]\)/\*\1/ge


"The next lines are inspired by
"Tip #617: Fun with case twiddling
"on www.vim.org

:%s/\*\([A-Z]\)\([^a-zA-Z|]*\)/\*\2\1/ge

"Uncomment the last line (remove the inverted commas) in order to get standard
"Betacode
":normal ggVGU

